Bug 1420350 - drpm is not built for ppc64le arch
Summary: drpm is not built for ppc64le arch
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc
Version: 26
Hardware: ppc64le
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: PPCTracker 1423342
TreeView+ depends on / blocked
 
Reported: 2017-02-08 14:03 UTC by Ngo Than
Modified: 2018-05-29 12:39 UTC (History)
11 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-05-29 12:39:42 UTC


Attachments (Terms of Use)
preprocessed source code built with gcc6 (205.20 KB, text/plain)
2017-03-27 14:44 UTC, Ngo Than
no flags Details
preprocessed source code built with gcc7 (178.35 KB, text/plain)
2017-03-27 14:45 UTC, Ngo Than
no flags Details
log file (27.92 KB, text/plain)
2017-03-27 14:45 UTC, Ngo Than
no flags Details

Description Ngo Than 2017-02-08 14:03:29 UTC
drpm is not built on ppc64le arch.

3: ==15327== HEAP SUMMARY:
3: ==15327==     in use at exit: 3,824 bytes in 2 blocks
3: ==15327==   total heap usage: 1,979 allocs, 1,977 frees, 131,956,136 bytes allocated
3: ==15327== 
3: ==15327== 1,912 bytes in 1 blocks are still reachable in loss record 1 of 2
3: ==15327==    at 0x4896848: calloc (vg_replace_malloc.c:711)
3: ==15327==    by 0x4A86B07: rcalloc (in /usr/lib64/librpmio.so.7.0.0)
3: ==15327==    by 0x49EB67F: ??? (in /usr/lib64/librpm.so.7.0.0)
3: ==15327==    by 0x4FE370B: __pthread_once_slow (in /usr/lib64/libpthread-2.24.90.so)
3: ==15327==    by 0x49EB93F: rpmTagGetType (in /usr/lib64/librpm.so.7.0.0)
3: ==15327==    by 0x49EBB47: rpmTagGetTagType (in /usr/lib64/librpm.so.7.0.0)
3: ==15327==    by 0x49DAD1F: headerPutString (in /usr/lib64/librpm.so.7.0.0)
3: ==15327==    by 0x1992BB: rpm_patch_payload_format (drpm_rpm.c:712)
3: ==15327==    by 0x188A57: drpm_make (drpm.c:450)
3: ==15327==    by 0x187AAB: make_identity (drpm_api_tests.c:128)
3: ==15327==    by 0x4DA6AFF: ??? (in /usr/lib64/libcmocka.so.0.4.0)
3: ==15327==    by 0x4DA7777: _cmocka_run_group_tests (in /usr/lib64/libcmocka.so.0.4.0)
3: ==15327== 
3: ==15327== 1,912 bytes in 1 blocks are still reachable in loss record 2 of 2
3: ==15327==    at 0x4896848: calloc (vg_replace_malloc.c:711)
3: ==15327==    by 0x4A86B07: rcalloc (in /usr/lib64/librpmio.so.7.0.0)
3: ==15327==    by 0x49EB697: ??? (in /usr/lib64/librpm.so.7.0.0)
3: ==15327==    by 0x4FE370B: __pthread_once_slow (in /usr/lib64/libpthread-2.24.90.so)
3: ==15327==    by 0x49EB93F: rpmTagGetType (in /usr/lib64/librpm.so.7.0.0)
3: ==15327==    by 0x49EBB47: rpmTagGetTagType (in /usr/lib64/librpm.so.7.0.0)
3: ==15327==    by 0x49DAD1F: headerPutString (in /usr/lib64/librpm.so.7.0.0)
3: ==15327==    by 0x1992BB: rpm_patch_payload_format (drpm_rpm.c:712)
3: ==15327==    by 0x188A57: drpm_make (drpm.c:450)
3: ==15327==    by 0x187AAB: make_identity (drpm_api_tests.c:128)
3: ==15327==    by 0x4DA6AFF: ??? (in /usr/lib64/libcmocka.so.0.4.0)
3: ==15327==    by 0x4DA7777: _cmocka_run_group_tests (in /usr/lib64/libcmocka.so.0.4.0)
3: ==15327== 
3: ==15327== LEAK SUMMARY:
3: ==15327==    definitely lost: 0 bytes in 0 blocks
3: ==15327==    indirectly lost: 0 bytes in 0 blocks
3: ==15327==      possibly lost: 0 bytes in 0 blocks
3: ==15327==    still reachable: 3,824 bytes in 2 blocks
3: ==15327==         suppressed: 0 bytes in 0 blocks
3: ==15327== 
3: ==15327== For counts of detected and suppressed errors, rerun with: -v
3: ==15327== ERROR SUMMARY: 25 errors from 15 contexts (suppressed: 0 from 0)
3/3 Test #3: drpm_memcheck ....................***Failed    4.07 sec
67% tests passed, 1 tests failed out of 3
Total Test time (real) =   4.17 sec
The following tests FAILED:
	  3 - drpm_memcheck (Failed)


for more in info please take a look at 
https://kojipkgs.fedoraproject.org//work/tasks/7045/17667045/build.log

Note: built with -O0 works fine and it built fine with gcc-6.x

Comment 1 Fedora End Of Life 2017-02-28 11:12:53 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 2 Ngo Than 2017-03-27 14:42:27 UTC
i have debugged the issue again and figured out it's a bug in gcc7. The cause is the inline expansion of those functions falls back to a function call.

built drpm with -fno-builtin-strcmp fixes the above issue. I also attach 2 preprocessed source code and the log files

drpm_block.c-gcc6
drpm_block.c-gcc7
LastTest.log

so you can see the problem. This issue only happens on ppc64le

Comment 3 Ngo Than 2017-03-27 14:44 UTC
Created attachment 1266681 [details]
preprocessed source code built with gcc6

Comment 4 Ngo Than 2017-03-27 14:45 UTC
Created attachment 1266687 [details]
preprocessed source code built with gcc7

Comment 5 Ngo Than 2017-03-27 14:45 UTC
Created attachment 1266688 [details]
log file

Comment 6 Florian Weimer 2017-03-27 14:56:49 UTC
(In reply to Ngo Than from comment #2)
> i have debugged the issue again and figured out it's a bug in gcc7. The
> cause is the inline expansion of those functions falls back to a function
> call.
> 
> built drpm with -fno-builtin-strcmp fixes the above issue.

What's the immediate cause of the build failure?  The uninitialized value warnings from valgrind?

Comment 7 Ngo Than 2017-03-27 15:06:40 UTC
yes, it failed in valgrind.

3/3 Testing: drpm_memcheck
3/3 Test: drpm_memcheck
Command: "/usr/bin/valgrind" "--error-exitcode=1" "--read-var-info=yes" "--leak-check=full" "--show-leak-kinds=all" "--track-origins=yes" "--suppressions=/home/than/rpmbuild/BUILD/drpm-0.3.0/test/lzma.supp" "./drpm_api_tests"
Directory: /home/than/rpmbuild/BUILD/drpm-0.3.0/build/test
"drpm_memcheck" start time: Mar 27 10:27 EDT
Output:
----------------------------------------------------------
==12405== Memcheck, a memory error detector
==12405== Copyright (C) 2002-2015, and GNU GPL'd, by Julian Seward et al.
==12405== Using Valgrind-3.12.0 and LibVEX; rerun with -h for copyright info
==12405== Command: ./drpm_api_tests
==12405== 
[==========] Running 5 test(s).
[ RUN      ] make_nodiff
[       OK ] make_nodiff
[ RUN      ] make_identity
==12405== Invalid read of size 4
==12405==    at 0x193994: parse_cpio_from_rpm_filedata (drpm_make.c:395)
==12405==    by 0x188A1B: drpm_make (drpm.c:439)
==12405==    by 0x187AAB: make_identity (drpm_api_tests.c:128)
==12405==    by 0x4DD75B7: cmocka_run_one_test_or_fixture (cmocka.c:2615)
==12405==    by 0x4DD823B: cmocka_run_one_tests (cmocka.c:2723)
==12405==    by 0x4DD823B: _cmocka_run_group_tests (cmocka.c:2838)
==12405==    by 0x18498F: main (drpm_api_tests.c:897)
==12405==  Address 0x57dc2b2 is 18 bytes inside a block of size 21 alloc'd
==12405==    at 0x4893D48: malloc (vg_replace_malloc.c:298)
==12405==    by 0x4896E9B: realloc (vg_replace_malloc.c:785)
==12405==    by 0x193313: parse_cpio_from_rpm_filedata (drpm_make.c:355)
==12405==    by 0x188A1B: drpm_make (drpm.c:439)
==12405==    by 0x187AAB: make_identity (drpm_api_tests.c:128)
==12405==    by 0x4DD75B7: cmocka_run_one_test_or_fixture (cmocka.c:2615)
==12405==    by 0x4DD823B: cmocka_run_one_tests (cmocka.c:2723)
==12405==    by 0x4DD823B: _cmocka_run_group_tests (cmocka.c:2838)
==12405==    by 0x18498F: main (drpm_api_tests.c:897)
==12405== 
==12405== Invalid read of size 4
==12405==    at 0x193998: parse_cpio_from_rpm_filedata (drpm_make.c:395)
==12405==    by 0x188A1B: drpm_make (drpm.c:439)
==12405==    by 0x187AAB: make_identity (drpm_api_tests.c:128)
==12405==    by 0x4DD75B7: cmocka_run_one_test_or_fixture (cmocka.c:2615)
==12405==    by 0x4DD823B: cmocka_run_one_tests (cmocka.c:2723)
==12405==    by 0x4DD823B: _cmocka_run_group_tests (cmocka.c:2838)
==12405==    by 0x18498F: main (drpm_api_tests.c:897)
==12405==  Address 0x57dbec1 is 17 bytes inside a block of size 20 alloc'd
==12405==    at 0x4893E6C: malloc (vg_replace_malloc.c:299)
==12405==    by 0x199D77: rpm_get_file_info (drpm_rpm.c:813)
==12405==    by 0x193063: parse_cpio_from_rpm_filedata (drpm_make.c:335)
==12405==    by 0x188A1B: drpm_make (drpm.c:439)
==12405==    by 0x187AAB: make_identity (drpm_api_tests.c:128)
==12405==    by 0x4DD75B7: cmocka_run_one_test_or_fixture (cmocka.c:2615)
==12405==    by 0x4DD823B: cmocka_run_one_tests (cmocka.c:2723)
==12405==    by 0x4DD823B: _cmocka_run_group_tests (cmocka.c:2838)
==12405==    by 0x18498F: main (drpm_api_tests.c:897)
==12405== 
==12405== Invalid read of size 4
==12405==    at 0x1939B8: parse_cpio_from_rpm_filedata (drpm_make.c:395)
==12405==    by 0x188A1B: drpm_make (drpm.c:439)
==12405==    by 0x187AAB: make_identity (drpm_api_tests.c:128)
==12405==    by 0x4DD75B7: cmocka_run_one_test_or_fixture (cmocka.c:2615)
==12405==    by 0x4DD823B: cmocka_run_one_tests (cmocka.c:2723)
==12405==    by 0x4DD823B: _cmocka_run_group_tests (cmocka.c:2838)
==12405==    by 0x18498F: main (drpm_api_tests.c:897)
==12405==  Address 0x57ec3be is 0 bytes after a block of size 30 alloc'd
==12405==    at 0x4896E3C: realloc (vg_replace_malloc.c:785)
==12405==    by 0x193313: parse_cpio_from_rpm_filedata (drpm_make.c:355)
==12405==    by 0x188A1B: drpm_make (drpm.c:439)
==12405==    by 0x187AAB: make_identity (drpm_api_tests.c:128)
==12405==    by 0x4DD75B7: cmocka_run_one_test_or_fixture (cmocka.c:2615)
==12405==    by 0x4DD823B: cmocka_run_one_tests (cmocka.c:2723)
==12405==    by 0x4DD823B: _cmocka_run_group_tests (cmocka.c:2838)
==12405==    by 0x18498F: main (drpm_api_tests.c:897)
==12405== 
==12405== Invalid read of size 4
==12405==    at 0x1939BC: parse_cpio_from_rpm_filedata (drpm_make.c:395)
==12405==    by 0x188A1B: drpm_make (drpm.c:439)
==12405==    by 0x187AAB: make_identity (drpm_api_tests.c:128)
==12405==    by 0x4DD75B7: cmocka_run_one_test_or_fixture (cmocka.c:2615)
==12405==    by 0x4DD823B: cmocka_run_one_tests (cmocka.c:2723)
==12405==    by 0x4DD823B: _cmocka_run_group_tests (cmocka.c:2838)
==12405==    by 0x18498F: main (drpm_api_tests.c:897)
==12405==  Address 0x57dc10d is 0 bytes after a block of size 29 alloc'd
==12405==    at 0x4893E6C: malloc (vg_replace_malloc.c:299)
==12405==    by 0x199D77: rpm_get_file_info (drpm_rpm.c:813)
==12405==    by 0x193063: parse_cpio_from_rpm_filedata (drpm_make.c:335)
==12405==    by 0x188A1B: drpm_make (drpm.c:439)
==12405==    by 0x187AAB: make_identity (drpm_api_tests.c:128)
==12405==    by 0x4DD75B7: cmocka_run_one_test_or_fixture (cmocka.c:2615)
==12405==    by 0x4DD823B: cmocka_run_one_tests (cmocka.c:2723)
==12405==    by 0x4DD823B: _cmocka_run_group_tests (cmocka.c:2838)
==12405==    by 0x18498F: main (drpm_api_tests.c:897)
==12405== 
[       OK ] make_identity
[ RUN      ] make_rpmonly
[       OK ] make_rpmonly
[ RUN      ] make_standard
==12405== Invalid read of size 4
==12405==    at 0x193994: parse_cpio_from_rpm_filedata (drpm_make.c:395)
==12405==    by 0x188A1B: drpm_make (drpm.c:439)
==12405==    by 0x187877: make_standard (drpm_api_tests.c:152)
==12405==    by 0x4DD75B7: cmocka_run_one_test_or_fixture (cmocka.c:2615)
==12405==    by 0x4DD823B: cmocka_run_one_tests (cmocka.c:2723)
==12405==    by 0x4DD823B: _cmocka_run_group_tests (cmocka.c:2838)
==12405==    by 0x18498F: main (drpm_api_tests.c:897)
==12405==  Address 0x562c0d2 is 18 bytes inside a block of size 21 alloc'd
==12405==    at 0x4893D48: malloc (vg_replace_malloc.c:298)
==12405==    by 0x4896E9B: realloc (vg_replace_malloc.c:785)
==12405==    by 0x193313: parse_cpio_from_rpm_filedata (drpm_make.c:355)
==12405==    by 0x188A1B: drpm_make (drpm.c:439)
==12405==    by 0x187877: make_standard (drpm_api_tests.c:152)
==12405==    by 0x4DD75B7: cmocka_run_one_test_or_fixture (cmocka.c:2615)
==12405==    by 0x4DD823B: cmocka_run_one_tests (cmocka.c:2723)
==12405==    by 0x4DD823B: _cmocka_run_group_tests (cmocka.c:2838)
==12405==    by 0x18498F: main (drpm_api_tests.c:897)
==12405== 
==12405== Invalid read of size 4
==12405==    at 0x193998: parse_cpio_from_rpm_filedata (drpm_make.c:395)
==12405==    by 0x188A1B: drpm_make (drpm.c:439)
==12405==    by 0x187877: make_standard (drpm_api_tests.c:152)
==12405==    by 0x4DD75B7: cmocka_run_one_test_or_fixture (cmocka.c:2615)
==12405==    by 0x4DD823B: cmocka_run_one_tests (cmocka.c:2723)
==12405==    by 0x4DD823B: _cmocka_run_group_tests (cmocka.c:2838)
==12405==    by 0x18498F: main (drpm_api_tests.c:897)
==12405==  Address 0x562bf21 is 17 bytes inside a block of size 20 alloc'd
==12405==    at 0x4893E6C: malloc (vg_replace_malloc.c:299)
==12405==    by 0x199D77: rpm_get_file_info (drpm_rpm.c:813)
==12405==    by 0x193063: parse_cpio_from_rpm_filedata (drpm_make.c:335)
==12405==    by 0x188A1B: drpm_make (drpm.c:439)
==12405==    by 0x187877: make_standard (drpm_api_tests.c:152)
==12405==    by 0x4DD75B7: cmocka_run_one_test_or_fixture (cmocka.c:2615)
==12405==    by 0x4DD823B: cmocka_run_one_tests (cmocka.c:2723)
==12405==    by 0x4DD823B: _cmocka_run_group_tests (cmocka.c:2838)
==12405==    by 0x18498F: main (drpm_api_tests.c:897)
==12405== 
==12405== Invalid read of size 4
==12405==    at 0x1939B8: parse_cpio_from_rpm_filedata (drpm_make.c:395)
==12405==    by 0x188A1B: drpm_make (drpm.c:439)
==12405==    by 0x187877: make_standard (drpm_api_tests.c:152)
==12405==    by 0x4DD75B7: cmocka_run_one_test_or_fixture (cmocka.c:2615)
==12405==    by 0x4DD823B: cmocka_run_one_tests (cmocka.c:2723)
==12405==    by 0x4DD823B: _cmocka_run_group_tests (cmocka.c:2838)
==12405==    by 0x18498F: main (drpm_api_tests.c:897)
==12405==  Address 0x5c5358e is 0 bytes after a block of size 30 alloc'd
==12405==    at 0x4896E3C: realloc (vg_replace_malloc.c:785)
==12405==    by 0x193313: parse_cpio_from_rpm_filedata (drpm_make.c:355)
==12405==    by 0x188A1B: drpm_make (drpm.c:439)
==12405==    by 0x187877: make_standard (drpm_api_tests.c:152)
==12405==    by 0x4DD75B7: cmocka_run_one_test_or_fixture (cmocka.c:2615)
==12405==    by 0x4DD823B: cmocka_run_one_tests (cmocka.c:2723)
==12405==    by 0x4DD823B: _cmocka_run_group_tests (cmocka.c:2838)
==12405==    by 0x18498F: main (drpm_api_tests.c:897)
==12405== 
==12405== Invalid read of size 4
==12405==    at 0x1939BC: parse_cpio_from_rpm_filedata (drpm_make.c:395)
==12405==    by 0x188A1B: drpm_make (drpm.c:439)
==12405==    by 0x187877: make_standard (drpm_api_tests.c:152)
==12405==    by 0x4DD75B7: cmocka_run_one_test_or_fixture (cmocka.c:2615)
==12405==    by 0x4DD823B: cmocka_run_one_tests (cmocka.c:2723)
==12405==    by 0x4DD823B: _cmocka_run_group_tests (cmocka.c:2838)
==12405==    by 0x18498F: main (drpm_api_tests.c:897)
==12405==  Address 0x562c02d is 0 bytes after a block of size 29 alloc'd
==12405==    at 0x4893E6C: malloc (vg_replace_malloc.c:299)
==12405==    by 0x199D77: rpm_get_file_info (drpm_rpm.c:813)
==12405==    by 0x193063: parse_cpio_from_rpm_filedata (drpm_make.c:335)
==12405==    by 0x188A1B: drpm_make (drpm.c:439)
==12405==    by 0x187877: make_standard (drpm_api_tests.c:152)
==12405==    by 0x4DD75B7: cmocka_run_one_test_or_fixture (cmocka.c:2615)
==12405==    by 0x4DD823B: cmocka_run_one_tests (cmocka.c:2723)
==12405==    by 0x4DD823B: _cmocka_run_group_tests (cmocka.c:2838)
==12405==    by 0x18498F: main (drpm_api_tests.c:897)
==12405== 
[       OK ] make_standard
[ RUN      ] make_rpmonly_noaddblk
[       OK ] make_rpmonly_noaddblk
[==========] 5 test(s) run.
[  PASSED  ] 5 test(s).
[==========] Running 5 test(s).
[ RUN      ] read_nodiff
==12405== Invalid read of size 4
==12405==    at 0x4DD6928: string_equal_display_error (cmocka.c:1160)
==12405==    by 0x4DD6928: _assert_string_equal (cmocka.c:1655)
==12405==    by 0x18740B: read_nodiff (drpm_api_tests.c:294)
==12405==    by 0x4DD75B7: cmocka_run_one_test_or_fixture (cmocka.c:2615)
==12405==    by 0x4DD823B: cmocka_run_one_tests (cmocka.c:2723)
==12405==    by 0x4DD823B: _cmocka_run_group_tests (cmocka.c:2838)
==12405==    by 0x1849F3: main (drpm_api_tests.c:901)
==12405==  Address 0x60cd67c is 0 bytes after a block of size 12 alloc'd
==12405==    at 0x4893E6C: malloc (vg_replace_malloc.c:299)
==12405==    by 0x1882E3: drpm_get_string (drpm.c:245)
==12405==    by 0x18717B: read_nodiff (drpm_api_tests.c:266)
==12405==    by 0x4DD75B7: cmocka_run_one_test_or_fixture (cmocka.c:2615)
==12405==    by 0x4DD823B: cmocka_run_one_tests (cmocka.c:2723)
==12405==    by 0x4DD823B: _cmocka_run_group_tests (cmocka.c:2838)
==12405==    by 0x1849F3: main (drpm_api_tests.c:901)
==12405== 
[       OK ] read_nodiff
[ RUN      ] read_identity
==12405== Conditional jump or move depends on uninitialised value(s)
==12405==    at 0x4DD6930: string_equal_display_error (cmocka.c:1160)
==12405==    by 0x4DD6930: _assert_string_equal (cmocka.c:1655)
==12405==    by 0x186C57: read_identity (drpm_api_tests.c:373)
==12405==    by 0x4DD75B7: cmocka_run_one_test_or_fixture (cmocka.c:2615)
==12405==    by 0x4DD823B: cmocka_run_one_tests (cmocka.c:2723)
==12405==    by 0x4DD823B: _cmocka_run_group_tests (cmocka.c:2838)
==12405==    by 0x1849F3: main (drpm_api_tests.c:901)
==12405== 
==12405== Conditional jump or move depends on uninitialised value(s)
==12405==    at 0x4DD693C: string_equal_display_error (cmocka.c:1160)
==12405==    by 0x4DD693C: _assert_string_equal (cmocka.c:1655)
==12405==    by 0x186C57: read_identity (drpm_api_tests.c:373)
==12405==    by 0x4DD75B7: cmocka_run_one_test_or_fixture (cmocka.c:2615)
==12405==    by 0x4DD823B: cmocka_run_one_tests (cmocka.c:2723)
==12405==    by 0x4DD823B: _cmocka_run_group_tests (cmocka.c:2838)
==12405==    by 0x1849F3: main (drpm_api_tests.c:901)
==12405== 
==12405== Conditional jump or move depends on uninitialised value(s)
==12405==    at 0x4DD6880: string_equal_display_error (cmocka.c:1160)
==12405==    by 0x4DD6880: _assert_string_equal (cmocka.c:1655)
==12405==    by 0x186C57: read_identity (drpm_api_tests.c:373)
==12405==    by 0x4DD75B7: cmocka_run_one_test_or_fixture (cmocka.c:2615)
==12405==    by 0x4DD823B: cmocka_run_one_tests (cmocka.c:2723)
==12405==    by 0x4DD823B: _cmocka_run_group_tests (cmocka.c:2838)
==12405==    by 0x1849F3: main (drpm_api_tests.c:901)
==12405== 
[       OK ] read_identity
[ RUN      ] read_rpmonly
==12405== Conditional jump or move depends on uninitialised value(s)
==12405==    at 0x4DD6930: string_equal_display_error (cmocka.c:1160)
==12405==    by 0x4DD6930: _assert_string_equal (cmocka.c:1655)
==12405==    by 0x1864F7: read_rpmonly (drpm_api_tests.c:472)
==12405==    by 0x4DD75B7: cmocka_run_one_test_or_fixture (cmocka.c:2615)
==12405==    by 0x4DD823B: cmocka_run_one_tests (cmocka.c:2723)
==12405==    by 0x4DD823B: _cmocka_run_group_tests (cmocka.c:2838)
==12405==    by 0x1849F3: main (drpm_api_tests.c:901)
==12405== 
==12405== Conditional jump or move depends on uninitialised value(s)
==12405==    at 0x4DD693C: string_equal_display_error (cmocka.c:1160)
==12405==    by 0x4DD693C: _assert_string_equal (cmocka.c:1655)
==12405==    by 0x1864F7: read_rpmonly (drpm_api_tests.c:472)
==12405==    by 0x4DD75B7: cmocka_run_one_test_or_fixture (cmocka.c:2615)
==12405==    by 0x4DD823B: cmocka_run_one_tests (cmocka.c:2723)
==12405==    by 0x4DD823B: _cmocka_run_group_tests (cmocka.c:2838)
==12405==    by 0x1849F3: main (drpm_api_tests.c:901)
==12405== 
==12405== Conditional jump or move depends on uninitialised value(s)
==12405==    at 0x4DD6880: string_equal_display_error (cmocka.c:1160)
==12405==    by 0x4DD6880: _assert_string_equal (cmocka.c:1655)
==12405==    by 0x1864F7: read_rpmonly (drpm_api_tests.c:472)
==12405==    by 0x4DD75B7: cmocka_run_one_test_or_fixture (cmocka.c:2615)
==12405==    by 0x4DD823B: cmocka_run_one_tests (cmocka.c:2723)
==12405==    by 0x4DD823B: _cmocka_run_group_tests (cmocka.c:2838)
==12405==    by 0x1849F3: main (drpm_api_tests.c:901)
==12405== 
[       OK ] read_rpmonly
[ RUN      ] read_standard
==12405== Conditional jump or move depends on uninitialised value(s)
==12405==    at 0x4DD6930: string_equal_display_error (cmocka.c:1160)
==12405==    by 0x4DD6930: _assert_string_equal (cmocka.c:1655)
==12405==    by 0x185D97: read_standard (drpm_api_tests.c:569)
==12405==    by 0x4DD75B7: cmocka_run_one_test_or_fixture (cmocka.c:2615)
==12405==    by 0x4DD823B: cmocka_run_one_tests (cmocka.c:2723)
==12405==    by 0x4DD823B: _cmocka_run_group_tests (cmocka.c:2838)
==12405==    by 0x1849F3: main (drpm_api_tests.c:901)
==12405== 
[       OK ] read_standard
[ RUN      ] read_rpmonly_noaddblk
==12405== Conditional jump or move depends on uninitialised value(s)
==12405==    at 0x4DD6954: string_equal_display_error (cmocka.c:1160)
==12405==    by 0x4DD6954: _assert_string_equal (cmocka.c:1655)
==12405==    by 0x185637: read_rpmonly_noaddblk (drpm_api_tests.c:666)
==12405==    by 0x4DD75B7: cmocka_run_one_test_or_fixture (cmocka.c:2615)
==12405==    by 0x4DD823B: cmocka_run_one_tests (cmocka.c:2723)
==12405==    by 0x4DD823B: _cmocka_run_group_tests (cmocka.c:2838)
==12405==    by 0x1849F3: main (drpm_api_tests.c:901)
==12405== 
==12405== Conditional jump or move depends on uninitialised value(s)
==12405==    at 0x4DD6960: string_equal_display_error (cmocka.c:1160)
==12405==    by 0x4DD6960: _assert_string_equal (cmocka.c:1655)
==12405==    by 0x185637: read_rpmonly_noaddblk (drpm_api_tests.c:666)
==12405==    by 0x4DD75B7: cmocka_run_one_test_or_fixture (cmocka.c:2615)
==12405==    by 0x4DD823B: cmocka_run_one_tests (cmocka.c:2723)
==12405==    by 0x4DD823B: _cmocka_run_group_tests (cmocka.c:2838)
==12405==    by 0x1849F3: main (drpm_api_tests.c:901)
==12405== 
==12405== Conditional jump or move depends on uninitialised value(s)
==12405==    at 0x4DD6880: string_equal_display_error (cmocka.c:1160)
==12405==    by 0x4DD6880: _assert_string_equal (cmocka.c:1655)
==12405==    by 0x185637: read_rpmonly_noaddblk (drpm_api_tests.c:666)
==12405==    by 0x4DD75B7: cmocka_run_one_test_or_fixture (cmocka.c:2615)
==12405==    by 0x4DD823B: cmocka_run_one_tests (cmocka.c:2723)
==12405==    by 0x4DD823B: _cmocka_run_group_tests (cmocka.c:2838)
==12405==    by 0x1849F3: main (drpm_api_tests.c:901)
==12405== 
[       OK ] read_rpmonly_noaddblk
[==========] 5 test(s) run.
[  PASSED  ] 5 test(s).
[==========] Running 1 test(s).
[ RUN      ] check_sequence
[       OK ] check_sequence
[==========] 1 test(s) run.
[  PASSED  ] 1 test(s).
[==========] Running 2 test(s).
[ RUN      ] apply_standard
==12405== Invalid read of size 4
==12405==    at 0x18E268: fillblock_rpm_standard (drpm_block.c:805)
==12405==    by 0x18CE47: get_block (drpm_block.c:374)
==12405==    by 0x18CE47: blocks_next (drpm_block.c:295)
==12405==    by 0x18984F: drpm_apply (drpm.c:697)
==12405==    by 0x18511F: apply_standard (drpm_api_tests.c:844)
==12405==    by 0x4DD75B7: cmocka_run_one_test_or_fixture (cmocka.c:2615)
==12405==    by 0x4DD823B: cmocka_run_one_tests (cmocka.c:2723)
==12405==    by 0x4DD823B: _cmocka_run_group_tests (cmocka.c:2838)
==12405==    by 0x184A4B: main (drpm_api_tests.c:909)
==12405==  Address 0x5e073f2 is 18 bytes inside a block of size 21 alloc'd
==12405==    at 0x4893D48: malloc (vg_replace_malloc.c:298)
==12405==    by 0x4896E9B: realloc (vg_replace_malloc.c:785)
==12405==    by 0x18E043: fillblock_rpm_standard (drpm_block.c:780)
==12405==    by 0x18CE47: get_block (drpm_block.c:374)
==12405==    by 0x18CE47: blocks_next (drpm_block.c:295)
==12405==    by 0x18984F: drpm_apply (drpm.c:697)
==12405==    by 0x18511F: apply_standard (drpm_api_tests.c:844)
==12405==    by 0x4DD75B7: cmocka_run_one_test_or_fixture (cmocka.c:2615)
==12405==    by 0x4DD823B: cmocka_run_one_tests (cmocka.c:2723)
==12405==    by 0x4DD823B: _cmocka_run_group_tests (cmocka.c:2838)
==12405==    by 0x184A4B: main (drpm_api_tests.c:909)
==12405== 
==12405== Invalid read of size 4
==12405==    at 0x18E270: fillblock_rpm_standard (drpm_block.c:805)
==12405==    by 0x18CE47: get_block (drpm_block.c:374)
==12405==    by 0x18CE47: blocks_next (drpm_block.c:295)
==12405==    by 0x18984F: drpm_apply (drpm.c:697)
==12405==    by 0x18511F: apply_standard (drpm_api_tests.c:844)
==12405==    by 0x4DD75B7: cmocka_run_one_test_or_fixture (cmocka.c:2615)
==12405==    by 0x4DD823B: cmocka_run_one_tests (cmocka.c:2723)
==12405==    by 0x4DD823B: _cmocka_run_group_tests (cmocka.c:2838)
==12405==    by 0x184A4B: main (drpm_api_tests.c:909)
==12405==  Address 0x5dddd61 is 17 bytes inside a block of size 20 alloc'd
==12405==    at 0x4893E6C: malloc (vg_replace_malloc.c:299)
==12405==    by 0x199D77: rpm_get_file_info (drpm_rpm.c:813)
==12405==    by 0x1891EB: drpm_apply (drpm.c:593)
==12405==    by 0x18511F: apply_standard (drpm_api_tests.c:844)
==12405==    by 0x4DD75B7: cmocka_run_one_test_or_fixture (cmocka.c:2615)
==12405==    by 0x4DD823B: cmocka_run_one_tests (cmocka.c:2723)
==12405==    by 0x4DD823B: _cmocka_run_group_tests (cmocka.c:2838)
==12405==    by 0x184A4B: main (drpm_api_tests.c:909)
==12405== 
==12405== Invalid read of size 4
==12405==    at 0x18E4E0: fillblock_rpm_standard (drpm_block.c:805)
==12405==    by 0x18CE47: get_block (drpm_block.c:374)
==12405==    by 0x18CE47: blocks_next (drpm_block.c:295)
==12405==    by 0x18984F: drpm_apply (drpm.c:697)
==12405==    by 0x18511F: apply_standard (drpm_api_tests.c:844)
==12405==    by 0x4DD75B7: cmocka_run_one_test_or_fixture (cmocka.c:2615)
==12405==    by 0x4DD823B: cmocka_run_one_tests (cmocka.c:2723)
==12405==    by 0x4DD823B: _cmocka_run_group_tests (cmocka.c:2838)
==12405==    by 0x184A4B: main (drpm_api_tests.c:909)
==12405==  Address 0x5e0745e is 0 bytes after a block of size 30 alloc'd
==12405==    at 0x4896E3C: realloc (vg_replace_malloc.c:785)
==12405==    by 0x18E043: fillblock_rpm_standard (drpm_block.c:780)
==12405==    by 0x18CE47: get_block (drpm_block.c:374)
==12405==    by 0x18CE47: blocks_next (drpm_block.c:295)
==12405==    by 0x18984F: drpm_apply (drpm.c:697)
==12405==    by 0x18511F: apply_standard (drpm_api_tests.c:844)
==12405==    by 0x4DD75B7: cmocka_run_one_test_or_fixture (cmocka.c:2615)
==12405==    by 0x4DD823B: cmocka_run_one_tests (cmocka.c:2723)
==12405==    by 0x4DD823B: _cmocka_run_group_tests (cmocka.c:2838)
==12405==    by 0x184A4B: main (drpm_api_tests.c:909)
==12405== 
==12405== Invalid read of size 4
==12405==    at 0x18E4E8: fillblock_rpm_standard (drpm_block.c:805)
==12405==    by 0x18CE47: get_block (drpm_block.c:374)
==12405==    by 0x18CE47: blocks_next (drpm_block.c:295)
==12405==    by 0x18984F: drpm_apply (drpm.c:697)
==12405==    by 0x18511F: apply_standard (drpm_api_tests.c:844)
==12405==    by 0x4DD75B7: cmocka_run_one_test_or_fixture (cmocka.c:2615)
==12405==    by 0x4DD823B: cmocka_run_one_tests (cmocka.c:2723)
==12405==    by 0x4DD823B: _cmocka_run_group_tests (cmocka.c:2838)
==12405==    by 0x184A4B: main (drpm_api_tests.c:909)
==12405==  Address 0x5ddde6d is 0 bytes after a block of size 29 alloc'd
==12405==    at 0x4893E6C: malloc (vg_replace_malloc.c:299)
==12405==    by 0x199D77: rpm_get_file_info (drpm_rpm.c:813)
==12405==    by 0x1891EB: drpm_apply (drpm.c:593)
==12405==    by 0x18511F: apply_standard (drpm_api_tests.c:844)
==12405==    by 0x4DD75B7: cmocka_run_one_test_or_fixture (cmocka.c:2615)
==12405==    by 0x4DD823B: cmocka_run_one_tests (cmocka.c:2723)
==12405==    by 0x4DD823B: _cmocka_run_group_tests (cmocka.c:2838)
==12405==    by 0x184A4B: main (drpm_api_tests.c:909)
==12405== 
[       OK ] apply_standard
[ RUN      ] apply_rpmonly_noaddblk
==12405== Conditional jump or move depends on uninitialised value(s)
==12405==    at 0x189250: drpm_apply (drpm.c:586)
==12405==    by 0x1850AF: apply_rpmonly_noaddblk (drpm_api_tests.c:850)
==12405==    by 0x4DD75B7: cmocka_run_one_test_or_fixture (cmocka.c:2615)
==12405==    by 0x4DD823B: cmocka_run_one_tests (cmocka.c:2723)
==12405==    by 0x4DD823B: _cmocka_run_group_tests (cmocka.c:2838)
==12405==    by 0x184A4B: main (drpm_api_tests.c:909)
==12405== 
==12405== Conditional jump or move depends on uninitialised value(s)
==12405==    at 0x18925C: drpm_apply (drpm.c:586)
==12405==    by 0x1850AF: apply_rpmonly_noaddblk (drpm_api_tests.c:850)
==12405==    by 0x4DD75B7: cmocka_run_one_test_or_fixture (cmocka.c:2615)
==12405==    by 0x4DD823B: cmocka_run_one_tests (cmocka.c:2723)
==12405==    by 0x4DD823B: _cmocka_run_group_tests (cmocka.c:2838)
==12405==    by 0x184A4B: main (drpm_api_tests.c:909)
==12405== 
==12405== Conditional jump or move depends on uninitialised value(s)
==12405==    at 0x1891C4: drpm_apply (drpm.c:586)
==12405==    by 0x1850AF: apply_rpmonly_noaddblk (drpm_api_tests.c:850)
==12405==    by 0x4DD75B7: cmocka_run_one_test_or_fixture (cmocka.c:2615)
==12405==    by 0x4DD823B: cmocka_run_one_tests (cmocka.c:2723)
==12405==    by 0x4DD823B: _cmocka_run_group_tests (cmocka.c:2838)
==12405==    by 0x184A4B: main (drpm_api_tests.c:909)
==12405== 
[       OK ] apply_rpmonly_noaddblk
[==========] 2 test(s) run.
[  PASSED  ] 2 test(s).
==12405== 
==12405== HEAP SUMMARY:
==12405==     in use at exit: 3,824 bytes in 2 blocks
==12405==   total heap usage: 1,979 allocs, 1,977 frees, 131,964,328 bytes allocated
==12405== 
==12405== 1,912 bytes in 1 blocks are still reachable in loss record 1 of 2
==12405==    at 0x4896BB8: calloc (vg_replace_malloc.c:711)
==12405==    by 0x4AA8617: rcalloc (in /usr/lib64/librpmio.so.7.0.1)
==12405==    by 0x49FD217: ??? (in /usr/lib64/librpm.so.7.0.1)
==12405==    by 0x5044263: __pthread_once_slow (in /usr/lib64/libpthread-2.25.90.so)
==12405==    by 0x49FD66F: rpmTagGetType (in /usr/lib64/librpm.so.7.0.1)
==12405==    by 0x49FD867: rpmTagGetTagType (in /usr/lib64/librpm.so.7.0.1)
==12405==    by 0x49EAD3F: headerPutString (in /usr/lib64/librpm.so.7.0.1)
==12405==    by 0x19959B: rpm_patch_payload_format (drpm_rpm.c:712)
==12405==    by 0x188A57: drpm_make (drpm.c:450)
==12405==    by 0x187AAB: make_identity (drpm_api_tests.c:128)
==12405==    by 0x4DD75B7: cmocka_run_one_test_or_fixture (cmocka.c:2615)
==12405==    by 0x4DD823B: cmocka_run_one_tests (cmocka.c:2723)
==12405==    by 0x4DD823B: _cmocka_run_group_tests (cmocka.c:2838)
==12405== 
==12405== 1,912 bytes in 1 blocks are still reachable in loss record 2 of 2
==12405==    at 0x4896BB8: calloc (vg_replace_malloc.c:711)
==12405==    by 0x4AA8617: rcalloc (in /usr/lib64/librpmio.so.7.0.1)
==12405==    by 0x49FD22B: ??? (in /usr/lib64/librpm.so.7.0.1)
==12405==    by 0x5044263: __pthread_once_slow (in /usr/lib64/libpthread-2.25.90.so)
==12405==    by 0x49FD66F: rpmTagGetType (in /usr/lib64/librpm.so.7.0.1)
==12405==    by 0x49FD867: rpmTagGetTagType (in /usr/lib64/librpm.so.7.0.1)
==12405==    by 0x49EAD3F: headerPutString (in /usr/lib64/librpm.so.7.0.1)
==12405==    by 0x19959B: rpm_patch_payload_format (drpm_rpm.c:712)
==12405==    by 0x188A57: drpm_make (drpm.c:450)
==12405==    by 0x187AAB: make_identity (drpm_api_tests.c:128)
==12405==    by 0x4DD75B7: cmocka_run_one_test_or_fixture (cmocka.c:2615)
==12405==    by 0x4DD823B: cmocka_run_one_tests (cmocka.c:2723)
==12405==    by 0x4DD823B: _cmocka_run_group_tests (cmocka.c:2838)
==12405== 
==12405== LEAK SUMMARY:
==12405==    definitely lost: 0 bytes in 0 blocks
==12405==    indirectly lost: 0 bytes in 0 blocks
==12405==      possibly lost: 0 bytes in 0 blocks
==12405==    still reachable: 3,824 bytes in 2 blocks
==12405==         suppressed: 0 bytes in 0 blocks
==12405== 
==12405== For counts of detected and suppressed errors, rerun with: -v
==12405== ERROR SUMMARY: 36 errors from 26 contexts (suppressed: 0 from 0)
<end of output>
Test time =   3.81 sec
----------------------------------------------------------
Test Failed.
"drpm_memcheck" end time: Mar 27 10:27 EDT
"drpm_memcheck" time elapsed: 00:00:03
----------------------------------------------------------

End testing: Mar 27 10:27 EDT

Comment 8 Fedora End Of Life 2018-05-03 08:03:59 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 9 Fedora End Of Life 2018-05-29 12:39:42 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.